ColorSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface ColorSpec

    public interface ColorSpec

This interface represents the front panel display Color specification.

Field Summary
`static byte` | `BLUE` Indicator color blue.
`static byte` | `GREEN` Indicator color green.
`static byte` | `ORANGE` Indicator color orange.
`static byte` | `RED` Indicator color red.
`static byte` | `YELLOW` Indicator color yellow.

Method Summary
`byte` | `getColor()` Gets the current color of the indicator.
`byte` | `getSupportedColors()` Gets the supported colors.
`void` | `setColor(byte color)` Sets the color of this indicator.

Field Detail

### BLUE

    static final byte BLUE

  Indicator color blue.

  See Also:
    Constant Field Values

### GREEN

    static final byte GREEN

  Indicator color green.

  See Also:
    Constant Field Values

### RED

    static final byte RED

  Indicator color red.

  See Also:
    Constant Field Values

### YELLOW

    static final byte YELLOW

  Indicator color yellow.

  See Also:
    Constant Field Values

### ORANGE

    static final byte ORANGE

  Indicator color orange.

  See Also:
    Constant Field Values

Method Detail

### getColor

    byte getColor()

  Gets the current color of the indicator. See definitions of `BLUE`, `GREEN`,`RED`, `YELLOW`, and `ORANGE` for possible values.

  Returns:
    Indicator color.

### getSupportedColors

    byte getSupportedColors()

  Gets the supported colors. The value returned SHALL contain values for the possible color set OR'ed together. `BLUE`, `GREEN`, `RED`, `YELLOW`, and `ORANGE` for possible values.

  Returns:
    Supported color set.

### setColor

    void setColor(byte color)
                  throws IllegalArgumentException

  Sets the color of this indicator.

  Parameters:
    `color` - Indicator color.
  Throws:
    `IllegalArgumentException` - if the value of the color parameter is not in the supported color set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD